general {
	lock_cmd = pidof hyprlock || hyprlock
	before_sleep_cmd = loginctl lock-session
	after_sleep_cmd = hyprctl dispatch dmps on
	inhibit_sleep = 0
}

listener {
	timeout = 120
	on-timeout = brightnessctl -sd amdgpu_bl1 set 66-
	on-resume = brightnessctl -rd amdgpu_bl1
}

listener {
	timeout = 240
	on-timeout = brightnessctl -d amdgpu_bl1 set 0 && brightnessctl -sd chromeos::kbd_backlight set 0
	on-resume = brightnessctl -rd chromeos::kbd_backlight
}

listener {
	timeout = 270
	on-timeout = loginctl lock-session
}

listener {
	timeout = 300
	on-timeout = hyprctl dispatch dpms off
	on-resume = hyprctl dispatch dpms on
}

listener {
	timeout = 330
	on-timeout = systemctl suspend
}
